Kweather 6.0.3 not supported Plasma 6

I’m testing out Fedora 40 and when trying to use the weather applet widget I receive the following message:

Unsupported Widget
This Widget was written for an unknown older version of
Plasma and is not compatible with Plasma 6. Please contact
the widget's author for an update version.

Has anyone else experienced this? Seems a bit odd, since apparently this is the current version.

Yes, I was just this morning trying to port it fully to Plasma 6. It looks like it was half-done but not completed.

Unfortunately I did not succeed. My WIP work can be found at Files · work/ngraham/wip-attempt-to-fix-widget · Utilities / KWeather · GitLab

1 Like

Thanks, I had also opened a bug report #485488